import 'package:contentsquare_example/src/get_user_id.dart';
import 'package:contentsquare_example/src/opt_in_out_widget.dart';
import 'package:contentsquare_example/src/send_dynamic_var_widget.dart';
import 'package:contentsquare_example/src/send_transaction_widget.dart';
import 'package:contentsquare_example/src/send_widget.dart';
import 'package:contentsquare_example/src/tracking_widget.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String? error;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Contentsquare example app'),
        ),
        body: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            OptInOutWidget(),
            SendWidget(),
            SendTransactionWidget(),
            SendDynamicVarWidget(),
            TrackingWidget(),
            GetUserIdWidget()
          ],
        ),
      ),
    );
  }
}
